
Name:		lcdproc	
Version:	0.5.2
Release:	%mkrel 1
Summary: 	Displays real-time system information on a 20x4 backlit LCD
License:	GPL
URL:            http://lcdproc.omnipotent.net/
Group:     	Monitoring	
Source0:    	http://downloads.sourceforge.net/lcdproc/lcdproc-0.5.2.tar.xz
Source1:	LCDd.init
Requires(pre):	rpm-helper
Requires(preun): rpm-helper
BuildRequires:	docbook-utils-pdf
BuildRequires:  libg15-devel
BuildRequires:  libg15daemon_client-devel
BuildRequires:  libg15render-devel
BuildRequires:  svgalib-devel
BuildRequires:  tetex-latex
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  libusb-devel
BuildRequires:  lirc-devel
BuildRequires:  ncurses-devel
BuildRequires:  openldap-devel
BuildRequires:  libpth-devel
BuildRequires:  xmlto
BuildRequires:  libxosd2-devel
BuildRequires:  libxorg-x11-devel
BuildRequires:  libxext6-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root


%description
LCDproc is a client/server suite inclduding drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216, 
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some 
devices connected to the LPT port: HD44780, STV5730, T6963, 
SED1520 and SED1330. Various clients are available that display 
things like CPU load, system load, memory usage, uptime, and a lot more. 
See also http://lcdproc.omnipotent.net. 

%prep
%setup -q
%{__perl} -pi -e 's:../../../libirman-0.4.1b/irman.h:%{_includedir}/irman.h:g' server/drivers/irmanin.c

%build
unset LDFLAGS
./configure --disable-dependency-tracking \
                 --enable-libusb \
                 --enable-drivers=all \
                 --enable-seamless-hbars \
                 --enable-testmenus \
                 --enable-permissive-menu-goto \
                 --enable-lcdproc-menus \
                 --enable-stat-nfs \
                 --enable-stat-smbfs \
                 --enable-doxygen \
                 --enable-dot \
                 --enable-html-dox \
                 --enable-latex-dox
%{make}
%{make} dox

%install
%{__rm} -rf %{buildroot}
%{makeinstall}

# init
install -d 		$RPM_BUILD_ROOT%{_initrddir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_initrddir}/LCDd

# Move examples in %_bindir like previous release
install -d              $RPM_BUILD_ROOT%{_bindir}
install clients/examples/*.pl $RPM_BUILD_ROOT%{_bindir}

# conf files
install -d		$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc
install LCDd.conf 	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# fix path to drivers
perl -pi -e 's|DriverPath=.*/|DriverPath=/usr/lib/lcdproc/|' $RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# remove unwanted conf file (not used in initscript)
rm -vf $RPM_BUILD_ROOT%{_sysconfdir}/LCDd.conf
touch scripts/lcdproc.conf  	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf
echo "-s localhost -p 13666 C M X U P S" > \
			$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf

# doc files
cd docs/lcdproc-user
mkdir html txt pdf
#docbook2html -c %{_sysconfdir}/sgml/catalog -o html lcdproc-user.docbook
#docbook2pdf -c %{_sysconfdir}/sgml/catalog -o pdf lcdproc-user.docbook

%post
%_post_service LCDd

%preun
%_preun_service LCDd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README* INSTALL COPYING TODO ChangeLog
#%doc docs/lcdproc-user/html docs/lcdproc-user/pdf/*.pdf
#%doc docs/html/* docs/latex/
%defattr(-,root,root,0755)
%{_bindir}/*
%attr(0755,root,root) %{_initrddir}/LCDd
%{_libdir}/%{name}
%{_mandir}/man*/*
%{_sbindir}/*
%dir %{_sysconfdir}/lcdproc
%config(noreplace) %{_sysconfdir}/lcdproc/*
%config(noreplace) %{_sysconfdir}/lcdexec.conf
%config(noreplace) %{_sysconfdir}/lcdproc.conf
%config(noreplace) %{_sysconfdir}/lcdvc.conf


%changelog
* Wed Dec 08 2010 MBantz <martin dot bantz at gmail dot com> 0.5.2-1pclos2010
- Built for PCLinuxOS from aginies at mandriva dot com

